<html>
<head>
<title>OGRE: Ogre::PixelBox Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a></div>
<h1>Ogre::PixelBox Class Reference</h1><!-- doxytag: class="Ogre::PixelBox" --><!-- doxytag: inherits="Ogre::Box" -->A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::PixelBox:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1PixelBox-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#196c57b3cf61c1545c46896cff269efb">PixelBox</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter constructor for setting the members manually.  <a href="#196c57b3cf61c1545c46896cff269efb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#422d941d56f9bb32134f304754e0d72d">PixelBox</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;extents, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pixelFormat, void *pixelData=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor providing extents in the form of a <a class="el" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> object.  <a href="#422d941d56f9bb32134f304754e0d72d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#da7e7fab7d00e3c842a514fe7aa11b0d">PixelBox</a> (size_t width, size_t height, size_t depth, <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pixelFormat, void *pixelData=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor providing width, height and depth.  <a href="#da7e7fab7d00e3c842a514fe7aa11b0d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#69fea3b4fed6726ee578519ec05bd246">setConsecutive</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the rowPitch and slicePitch so that the buffer is laid out consecutive in memory.  <a href="#69fea3b4fed6726ee578519ec05bd246"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#6c57caf05a1a9c91780f6602bec71402">getRowSkip</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of elements between one past the rightmost pixel of one row and the leftmost pixel of the next row.  <a href="#6c57caf05a1a9c91780f6602bec71402"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#27f6e0e9f80a2a3397ef5550875cee97">getSliceSkip</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of elements between one past the right bottom pixel of one slice and the left top pixel of the next slice.  <a href="#27f6e0e9f80a2a3397ef5550875cee97"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#37865dea7e66ea41c9c47f8a52a55892">isConsecutive</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return whether this buffer is laid out consecutive in memory (ie the pitches are equal to the dimensions).  <a href="#37865dea7e66ea41c9c47f8a52a55892"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#469097a2cc6e3652ba3fe44366ce389d">getConsecutiveSize</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the size (in bytes) this image would take if it was laid out consecutive in memory.  <a href="#469097a2cc6e3652ba3fe44366ce389d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#692f1b55d10d988a6952a2720b24a7ae">getSubVolume</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return a subvolume of this <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>.  <a href="#692f1b55d10d988a6952a2720b24a7ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#ebee870489731d59ddc99903220244c0">contains</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return true if the other box is a part of this one.  <a href="#ebee870489731d59ddc99903220244c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#7621962346ee18c3df6a405d115548a8">getWidth</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the width of this box.  <a href="#7621962346ee18c3df6a405d115548a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#93d5935ee18c29336ea11460a9d30b53">getHeight</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the height of this box.  <a href="#93d5935ee18c29336ea11460a9d30b53"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#35a70afaf89bbd6371a9abdc9e1da469">getDepth</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the depth of this box.  <a href="#35a70afaf89bbd6371a9abdc9e1da469"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#c4fe215e13fc38d6a45e0c40ee2f1425">data</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The data pointer.  <a href="#c4fe215e13fc38d6a45e0c40ee2f1425"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a4101fdc288dc41dddac88440b4d0818">format</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The pixel format.  <a href="#a4101fdc288dc41dddac88440b4d0818"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#acf8f1ebed40c557389d9d1e9dda3b68">rowPitch</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of elements between the leftmost pixel of one row and the left pixel of the next.  <a href="#acf8f1ebed40c557389d9d1e9dda3b68"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#5f4ac4f2e735678fc8b3ddc1068674dd">slicePitch</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of elements between the top left pixel of one (depth) slice and the top left pixel of the next.  <a href="#5f4ac4f2e735678fc8b3ddc1068674dd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#8c667f45bbbe5be0577025436a7e50a0">left</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#ebfb3bd646373c45c9e38735640f6e3a">top</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#57531708bc749511715f37648d105aad">right</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#66b5764c9ac1aad8410e9883c74b522a">bottom</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#6057f53bf949ee0725aeb52d1e480f4c">front</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#26cb2e011c3dec1ff625716e1778233a">back</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory. 
<p>
In case of a rectangle, depth must be 1. Pixels are stored as a succession of "depth" slices, each containing "height" rows of "width" pixels. 
<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00179">179</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="196c57b3cf61c1545c46896cff269efb"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="196c57b3cf61c1545c46896cff269efb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PixelBox::PixelBox           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parameter constructor for setting the members manually. 
<p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00182">182</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="422d941d56f9bb32134f304754e0d72d"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="422d941d56f9bb32134f304754e0d72d" args="(const Box &amp;extents, PixelFormat pixelFormat, void *pixelData=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PixelBox::PixelBox           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>extents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>pixelFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pixelData</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor providing extents in the form of a <a class="el" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> object. 
<p>
This constructor assumes the pixel data is laid out consecutively in memory. (this means row after row, slice after slice, with no space in between) <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>extents</em>&nbsp;</td><td>Extents of the region defined by data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pixelFormat</em>&nbsp;</td><td>Format of this buffer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pixelData</em>&nbsp;</td><td>Pointer to the actual data </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00190">190</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="da7e7fab7d00e3c842a514fe7aa11b0d"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="da7e7fab7d00e3c842a514fe7aa11b0d" args="(size_t width, size_t height, size_t depth, PixelFormat pixelFormat, void *pixelData=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PixelBox::PixelBox           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>pixelFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pixelData</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor providing width, height and depth. 
<p>
This constructor assumes the pixel data is laid out consecutively in memory. (this means row after row, slice after slice, with no space in between) <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td>Width of the region </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>Height of the region </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>depth</em>&nbsp;</td><td>Depth of the region </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pixelFormat</em>&nbsp;</td><td>Format of this buffer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pixelData</em>&nbsp;</td><td>Pointer to the actual data </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00204">204</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="69fea3b4fed6726ee578519ec05bd246"></a><!-- doxytag: member="Ogre::PixelBox::setConsecutive" ref="69fea3b4fed6726ee578519ec05bd246" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PixelBox::setConsecutive           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the rowPitch and slicePitch so that the buffer is laid out consecutive in memory. 
<p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00230">230</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6c57caf05a1a9c91780f6602bec71402"></a><!-- doxytag: member="Ogre::PixelBox::getRowSkip" ref="6c57caf05a1a9c91780f6602bec71402" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PixelBox::getRowSkip           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of elements between one past the rightmost pixel of one row and the leftmost pixel of the next row. 
<p>
(IE this is zero if rows are consecutive). 
<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00239">239</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="27f6e0e9f80a2a3397ef5550875cee97"></a><!-- doxytag: member="Ogre::PixelBox::getSliceSkip" ref="27f6e0e9f80a2a3397ef5550875cee97" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PixelBox::getSliceSkip           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of elements between one past the right bottom pixel of one slice and the left top pixel of the next slice. 
<p>
(IE this is zero if slices are consecutive). 
<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00244">244</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="37865dea7e66ea41c9c47f8a52a55892"></a><!-- doxytag: member="Ogre::PixelBox::isConsecutive" ref="37865dea7e66ea41c9c47f8a52a55892" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::PixelBox::isConsecutive           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return whether this buffer is laid out consecutive in memory (ie the pitches are equal to the dimensions). 
<p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00249">249</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="469097a2cc6e3652ba3fe44366ce389d"></a><!-- doxytag: member="Ogre::PixelBox::getConsecutiveSize" ref="469097a2cc6e3652ba3fe44366ce389d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PixelBox::getConsecutiveSize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the size (in bytes) this image would take if it was laid out consecutive in memory. 
<p>

</div>
</div><p>
<a class="anchor" name="692f1b55d10d988a6952a2720b24a7ae"></a><!-- doxytag: member="Ogre::PixelBox::getSubVolume" ref="692f1b55d10d988a6952a2720b24a7ae" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> Ogre::PixelBox::getSubVolume           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>def</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return a subvolume of this <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>def</em>&nbsp;</td><td>Defines the bounds of the subregion to return </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pixel box describing the region and the data in it </dd></dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This function does not copy any data, it just returns a <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> object with a data pointer pointing somewhere inside the data of object. </dd></dl>
<dl compact><dt><b>Exceptions:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>Exception(ERR_INVALIDPARAMS)</em>&nbsp;</td><td>if def is not fully contained </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="ebee870489731d59ddc99903220244c0"></a><!-- doxytag: member="Ogre::PixelBox::contains" ref="ebee870489731d59ddc99903220244c0" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Box::contains           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>def</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return true if the other box is a part of this one. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00393">393</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::bottom</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::front</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::top</a>.</p>

</div>
</div><p>
<a class="anchor" name="7621962346ee18c3df6a405d115548a8"></a><!-- doxytag: member="Ogre::PixelBox::getWidth" ref="7621962346ee18c3df6a405d115548a8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getWidth           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the width of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00400">400</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::left</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::right</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="93d5935ee18c29336ea11460a9d30b53"></a><!-- doxytag: member="Ogre::PixelBox::getHeight" ref="93d5935ee18c29336ea11460a9d30b53" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getHeight           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the height of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00402">402</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::bottom</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::top</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="35a70afaf89bbd6371a9abdc9e1da469"></a><!-- doxytag: member="Ogre::PixelBox::getDepth" ref="35a70afaf89bbd6371a9abdc9e1da469" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getDepth           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the depth of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00404">404</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::back</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::front</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c4fe215e13fc38d6a45e0c40ee2f1425"></a><!-- doxytag: member="Ogre::PixelBox::data" ref="c4fe215e13fc38d6a45e0c40ee2f1425" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1PixelBox.html#c4fe215e13fc38d6a45e0c40ee2f1425">Ogre::PixelBox::data</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The data pointer. 
<p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00212">212</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a4101fdc288dc41dddac88440b4d0818"></a><!-- doxytag: member="Ogre::PixelBox::format" ref="a4101fdc288dc41dddac88440b4d0818" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1PixelBox.html#a4101fdc288dc41dddac88440b4d0818">Ogre::PixelBox::format</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The pixel format. 
<p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00214">214</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="acf8f1ebed40c557389d9d1e9dda3b68"></a><!-- doxytag: member="Ogre::PixelBox::rowPitch" ref="acf8f1ebed40c557389d9d1e9dda3b68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#acf8f1ebed40c557389d9d1e9dda3b68">Ogre::PixelBox::rowPitch</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of elements between the leftmost pixel of one row and the left pixel of the next. 
<p>
This value must always be equal to <a class="el" href="structOgre_1_1Box.html#7621962346ee18c3df6a405d115548a8" title="Get the width of this box.">getWidth()</a> (consecutive) for compressed formats. 
<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00219">219</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5f4ac4f2e735678fc8b3ddc1068674dd"></a><!-- doxytag: member="Ogre::PixelBox::slicePitch" ref="5f4ac4f2e735678fc8b3ddc1068674dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#5f4ac4f2e735678fc8b3ddc1068674dd">Ogre::PixelBox::slicePitch</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of elements between the top left pixel of one (depth) slice and the top left pixel of the next. 
<p>
This can be a negative value. Must be a multiple of rowPitch. This value must always be equal to <a class="el" href="structOgre_1_1Box.html#7621962346ee18c3df6a405d115548a8" title="Get the width of this box.">getWidth()</a>*getHeight() (consecutive) for compressed formats. 
<p>Definition at line <a class="el" href="OgrePixelFormat_8h-source.html#l00225">225</a> of file <a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c667f45bbbe5be0577025436a7e50a0"></a><!-- doxytag: member="Ogre::PixelBox::left" ref="8c667f45bbbe5be0577025436a7e50a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#8c667f45bbbe5be0577025436a7e50a0">Ogre::Box::left</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">Ogre::Box::getWidth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebfb3bd646373c45c9e38735640f6e3a"></a><!-- doxytag: member="Ogre::PixelBox::top" ref="ebfb3bd646373c45c9e38735640f6e3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#ebfb3bd646373c45c9e38735640f6e3a">Ogre::Box::top</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">Ogre::Box::getHeight()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="57531708bc749511715f37648d105aad"></a><!-- doxytag: member="Ogre::PixelBox::right" ref="57531708bc749511715f37648d105aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#57531708bc749511715f37648d105aad">Ogre::Box::right</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">Ogre::Box::getWidth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="66b5764c9ac1aad8410e9883c74b522a"></a><!-- doxytag: member="Ogre::PixelBox::bottom" ref="66b5764c9ac1aad8410e9883c74b522a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#66b5764c9ac1aad8410e9883c74b522a">Ogre::Box::bottom</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">Ogre::Box::getHeight()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6057f53bf949ee0725aeb52d1e480f4c"></a><!-- doxytag: member="Ogre::PixelBox::front" ref="6057f53bf949ee0725aeb52d1e480f4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#6057f53bf949ee0725aeb52d1e480f4c">Ogre::Box::front</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">Ogre::Box::getDepth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="26cb2e011c3dec1ff625716e1778233a"></a><!-- doxytag: member="Ogre::PixelBox::back" ref="26cb2e011c3dec1ff625716e1778233a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#26cb2e011c3dec1ff625716e1778233a">Ogre::Box::back</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">Ogre::Box::getDepth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:47 2008
</p>
</body>
</html>
